import { defineConfig } from 'vite';
import { resolve } from 'path';

export default defineConfig({
  root: 'src',
  build: {
    outDir: '../dist',
    emptyOutDir: true,
    rollupOptions: {
      input: {
        main: resolve(__dirname, 'src/index.html'),
        checkout: resolve(__dirname, 'src/checkout.html'),
        payment: resolve(__dirname, 'src/payment.html'),
        confirmation: resolve(__dirname, 'src/confirmation.html'),
        trackOrder: resolve(__dirname, 'src/track-order.html'),
        admin: resolve(__dirname, 'src/admin.html'),
        adminLogin: resolve(__dirname, 'src/admin-login.html'), // Added admin-login.html
      },
    },
  },
});
